Soft deletes a support event subscription.
EXAMPLES:
cURL:
supportEventSubscription="organizations/123456789/supportEventSubscriptions/abcdef123456"
curl \
--request DELETE \
--header "Authorization: Bearer $(gcloud auth print-access-token)" \
"https://cloudsupport.googleapis.com/v2/$supportEventSubscription"
Python:
import googleapiclient.discovery
apiVersion = "v2"
supportApiService = googleapiclient.discovery.build(
serviceName="cloudsupport",
version=apiVersion,
discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
)
request = supportApiService).supportEventSubscriptions().delete(
name="organizations/123456789/supportEventSubscriptions/abcdef123456"
)
print(request.execute())
HTTP request
DELETE https://cloudsupport.googleapis.com/v2/{name=*/*/supportEventSubscriptions/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the support event subscription to delete. Format: organizations/{organizationId}/supportEventSubscriptions/{subscription_id} |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of SupportEventSubscription.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloudsupporthttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.